%define upstream_name    Getopt-Long
%define upstream_version 2.52

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Advanced handling of command line options
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Usage) >= 1.140.0
BuildArch:  noarch

%description
The Getopt::Long module implements an extended getopt function called
GetOptions(). This function adheres to the POSIX syntax for command line
options, with GNU extensions. In general, this means that options have long
names instead of single letters, and are introduced with a double dash
"--". Support for bundling of command line options, as was the case with
the more traditional single-letter approach, is provided but not enabled by
default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CHANGES INSTALL META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Aug 19 2020 tv <tv> 2.520.0-1.mga8
+ Revision: 1615755
- update to 2.52

* Sat Feb 15 2020 umeabot <umeabot> 2.510.0-2.mga8
+ Revision: 1528651
- Mageia 8 Mass Rebuild

* Sun Aug 25 2019 tv <tv> 2.510.0-1.mga8
+ Revision: 1432095
- update to 2.51

* Thu Sep 20 2018 umeabot <umeabot> 2.500.0-3.mga7
+ Revision: 1283933
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.500.0-2.mga7
+ Revision: 1164515
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 2.500.0-1.mga7
+ Revision: 1155982
- update to 2.50

* Sun Jun 19 2016 pterjan <pterjan> 2.480.0-2.mga6
+ Revision: 1027882
- Rebuild for perl 5.22.2

* Sun Jan 24 2016 luigiwalser <luigiwalser> 2.480.0-1.mga6
+ Revision: 926760
- 2.48

* Sun Jul 05 2015 sander85 <sander85> 2.470.0-1.mga6
+ Revision: 851364
- update to 2.47

* Wed Oct 15 2014 umeabot <umeabot> 2.420.0-5.mga5
+ Revision: 745873
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.420.0-4.mga5
+ Revision: 684857
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 2.420.0-3.mga5
+ Revision: 587951
- rebuild after perl 5.18.2

* Mon Oct 21 2013 umeabot <umeabot> 2.420.0-2.mga4
+ Revision: 538592
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 sander85 <sander85> 2.420.0-1.mga4
+ Revision: 489970
- update to 2.42

* Tue Jul 09 2013 jquelin <jquelin> 2.410.0-1.mga4
+ Revision: 451883
- update to 2.41

* Mon Jul 08 2013 sander85 <sander85> 2.400.0-1.mga4
+ Revision: 451211
- update to 2.40

* Wed Mar 27 2013 jquelin <jquelin> 2.380.0-3.mga3
+ Revision: 405500
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.380.0-2.mga3
+ Revision: 367730
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 2.380.0-1.mga1
+ Revision: 26301
- mageia rebuild
- imported package perl-Getopt-Long

